--- a/bin/lein Fri Oct 17 11:30:34 2014 -0400
+++ b/bin/lein Mon Dec 01 10:32:12 2014 -0800
@@ -4,7 +4,7 @@
# somewhere on your $PATH, like ~/bin. The rest of Leiningen will be
# installed upon first run into the ~/.lein/self-installs directory.
-export LEIN_VERSION="2.3.4"
+export LEIN_VERSION="2.5.0"
case $LEIN_VERSION in
*SNAPSHOT) SNAPSHOT="YES" ;;
@@ -27,7 +27,7 @@
# ensure we have native paths
if $cygwin && [[ "$1" == /* ]]; then
echo -n "$(cygpath -wp "$1")"
- elif [[ "$OSTYPE" == "msys" && "$1" == /* ]]; then
+ elif [[ "$OSTYPE" == "msys" && "$1" == /?/* ]]; then
echo -n "$(sh -c "(cd $1 2</dev/null && pwd -W) || echo $1 | sed 's/^\\/\([a-z]\)/\\1:/g'")"
else
echo -n "$1"
@@ -40,21 +40,21 @@
shift
while [ -n "$1" ];do
# http://bashify.com/?Useful_Techniques:Indirect_Variables:Indirect_Assignment
- export ${path_var}="${!path_var}${delimiter}$(make_native_path "$1")"
+ if [[ -z ${!path_var} ]]; then
+ export ${path_var}="$(make_native_path "$1")"
+ else
+ export ${path_var}="${!path_var}${delimiter}$(make_native_path "$1")"
+ fi
shift
done
}
function download_failed_message {
- echo "Failed to download $1"
+ echo "Failed to download $1 (exit code $2)"
echo "It's possible your HTTP client's certificate store does not have the"
echo "correct certificate authority needed. This is often caused by an"
- echo "out-of-date version of libssl. Either upgrade it or set HTTP_CLIENT"
- echo "to turn off certificate checks:"
- echo " export HTTP_CLIENT=\"wget --no-check-certificate -O\" # or"
- echo " export HTTP_CLIENT=\"curl --insecure -f -L -o\""
- echo "It's also possible that you're behind a firewall haven't yet"
- echo "set HTTP_PROXY and HTTPS_PROXY."
+ echo "out-of-date version of libssl. It's also possible that you're behind a"
+ echo "firewall and haven't set HTTP_PROXY and HTTPS_PROXY."
}
function self_install {
@@ -65,14 +65,15 @@
fi
echo "Downloading Leiningen to $LEIN_JAR now..."
mkdir -p "$(dirname "$LEIN_JAR")"
- LEIN_URL="https://leiningen.s3.amazonaws.com/downloads/leiningen-$LEIN_VERSION-standalone.jar"
+ LEIN_URL="https://github.com/technomancy/leiningen/releases/download/$LEIN_VERSION/leiningen-$LEIN_VERSION-standalone.jar"
$HTTP_CLIENT "$LEIN_JAR.pending" "$LEIN_URL"
- if [ $? == 0 ]; then
+ local exit_code=$?
+ if [ $exit_code == 0 ]; then
# TODO: checksum
mv -f "$LEIN_JAR.pending" "$LEIN_JAR"
else
rm "$LEIN_JAR.pending" 2> /dev/null
- download_failed_message "$LEIN_URL"
+ download_failed_message "$LEIN_URL" "$exit_code"
exit 1
fi
}
@@ -175,7 +176,7 @@
ORIG_PWD="$PWD"
cd "$LEIN_DIR"
- $0 classpath .lein-classpath
+ LEIN_NO_USER_PROFILES=1 $0 classpath .lein-classpath
sum "$LEIN_DIR/project.clj" "$LEIN_DIR/leiningen-core/project.clj" > \
.lein-project-checksum
cd "$ORIG_PWD"
@@ -205,8 +206,9 @@
export JAVA_CMD="${JAVA_CMD:-"java"}"
export LEIN_JAVA_CMD="${LEIN_JAVA_CMD:-$JAVA_CMD}"
-if [[ "$(basename "$LEIN_JAVA_CMD")" == *drip* ]]; then
+if [[ -z "${DRIP_INIT+x}" && "$(basename "$LEIN_JAVA_CMD")" == *drip* ]]; then
export DRIP_INIT="$(printf -- '-e\n(require (quote leiningen.repl))')"
+ export DRIP_INIT_CLASS="clojure.main"
fi
# Support $JAVA_OPTS for backwards-compatibility.
@@ -265,6 +267,10 @@
LEIN_SCRIPT_URL="https://github.com/technomancy/leiningen/raw/$TARGET_VERSION/bin/lein"
$HTTP_CLIENT "$TARGET" "$LEIN_SCRIPT_URL"
if [ $? == 0 ]; then
+ cmp -s "$TARGET" "$SCRIPT"
+ if [ $? == 0 ]; then
+ echo "Leiningen is already up-to-date."
+ fi
mv "$TARGET" "$SCRIPT" && chmod +x "$SCRIPT"
exec "$SCRIPT" version
else
@@ -290,14 +296,22 @@
echo "Leiningen's classpath: $CLASSPATH"
fi
- if ([ "$LEIN_FAST_TRAMPOLINE" != "" ] || [ -r .lein-fast-trampoline ]) &&
- [ -r project.clj ]; then
+ if [ -r .lein-fast-trampoline ]; then
+ export LEIN_FAST_TRAMPOLINE='y'
+ fi
+
+ if [ "$LEIN_FAST_TRAMPOLINE" != "" ] && [ -r project.clj ]; then
INPUTS="$@ $(cat project.clj) $LEIN_VERSION $(test -f "$LEIN_HOME/profiles.clj" && cat "$LEIN_HOME/profiles.clj")"
- INPUT_CHECKSUM=$(echo $INPUTS | shasum - | cut -f 1 -d " ")
+ export INPUT_CHECKSUM=$(echo $INPUTS | shasum - | cut -f 1 -d " ")
# Just don't change :target-path in project.clj, mkay?
TRAMPOLINE_FILE="target/trampolines/$INPUT_CHECKSUM"
else
- TRAMPOLINE_FILE="$(mktemp /tmp/lein-trampoline-XXXXXXXXXXXXX)"
+ if hash mktemp 2>/dev/null; then
+ # Check if mktemp is available before using it
+ TRAMPOLINE_FILE="$(mktemp /tmp/lein-trampoline-XXXXXXXXXXXXX)"
+ else
+ TRAMPOLINE_FILE="/tmp/lein-trampoline-$$"
+ fi
trap "rm -f $TRAMPOLINE_FILE" EXIT
fi
@@ -312,11 +326,12 @@
exec sh -c "exec $(cat $TRAMPOLINE_FILE)"
else
export TRAMPOLINE_FILE
- "$LEIN_JAVA_CMD" -client \
+ "$LEIN_JAVA_CMD" \
"${BOOTCLASSPATH[@]}" \
- $LEIN_JVM_OPTS \
-Dfile.encoding=UTF-8 \
-Dmaven.wagon.http.ssl.easy=false \
+ -Dmaven.wagon.rto=10000 \
+ $LEIN_JVM_OPTS \
-Dleiningen.original.pwd="$ORIGINAL_PWD" \
-Dleiningen.script="$SCRIPT" \
-classpath "$CLASSPATH" \
@@ -345,4 +360,3 @@
fi
fi
fi
-
--- a/gitconfig Fri Oct 17 11:30:34 2014 -0400
+++ b/gitconfig Mon Dec 01 10:32:12 2014 -0800
@@ -116,6 +116,7 @@
; review takes a pull request URL and reviews it
; only works if you have the PR-fetching turned on and shit
review = "!sh -c 'git fetch upstream && git ksreviewfor `echo $1 | sed -Ee \"s_.*pull/([0-9]+)_refs/pull/upstream/\\1_\"` upstream/master' -"
+ reviewcombined = "!sh -c 'git fetch upstream && git ksdiff upstream/master `echo $1 | sed -Ee \"s_.*pull/([0-9]+)_refs/pull/upstream/\\1_\"`' -"
; END KALEIDOSCOPE SECTION
--- a/keyremap4macbook/private.xml Fri Oct 17 11:30:34 2014 -0400
+++ b/keyremap4macbook/private.xml Mon Dec 01 10:32:12 2014 -0800
@@ -68,6 +68,24 @@
<autogen>--KeyToKey-- KeyCode::SPACE, ModifierFlag::SHIFT_R, KeyCode::KEY_0, ModifierFlag::SHIFT_L, KeyCode::SPACE</autogen>
</item>
<item>
+ <name>Remap Held Tab to Hyper</name>
+ <appendix>OS X doesn't have a Hyper. This maps Held Tab to Control + Shift + Option + Command.</appendix>
+ <appendix>You can use this key in your own custom keyboard shortcuts you create in apps.</appendix>
+
+ <identifier>space_cadet.held_tab_to_hyper</identifier>
+
+ <autogen>
+ --KeyOverlaidModifier--
+ KeyCode::TAB,
+ ModifierFlag::NONE,
+
+ KeyCode::COMMAND_L,
+ ModifierFlag::OPTION_L | ModifierFlag::SHIFT_L | ModifierFlag::CONTROL_L,
+
+ KeyCode::TAB
+ </autogen>
+ </item>
+ <item>
<name>Remap Left Control to Hyper</name>
<appendix>OS X doesn't have a Hyper. This maps Left Control to Control + Shift + Option + Command.</appendix>
<appendix>You can use this key in your own custom keyboard shortcuts you create in apps.</appendix>
--- a/vim/custom-dictionary.utf-8.add Fri Oct 17 11:30:34 2014 -0400
+++ b/vim/custom-dictionary.utf-8.add Mon Dec 01 10:32:12 2014 -0800
@@ -164,3 +164,6 @@
tmux
precompute
fuckery
+healthcheck
+cron4j
+realtime
--- a/vim/vimrc Fri Oct 17 11:30:34 2014 -0400
+++ b/vim/vimrc Mon Dec 01 10:32:12 2014 -0800
@@ -403,7 +403,7 @@
inoremap <C-_> <space><bs><esc>:call InsertCloseTag()<cr>a
" Source
-vnoremap <leader>S y:execute @@<cr>:echo 'Sourced selection.'<cr>
+vnoremap <leader>S y:@"<CR>
nnoremap <leader>S ^vg_y:execute @@<cr>:echo 'Sourced line.'<cr>
" Marks and Quotes
@@ -1545,6 +1545,11 @@
" "Hub"
vnoremap <leader>H :Gbrowse<cr>
+nnoremap <leader>H V:Gbrowse<cr>
+
+" "(Upstream) Hub"
+vnoremap <leader>u :Gbrowse @upstream<cr>
+nnoremap <leader>u V:Gbrowse @upstream<cr>
" }}}
" GnuPG {{{
--- a/weechat/weechat.conf Fri Oct 17 11:30:34 2014 -0400
+++ b/weechat/weechat.conf Mon Dec 01 10:32:12 2014 -0800
@@ -36,7 +36,7 @@
day_change_message_2dates = "-- %%a, %%d %%b %%Y (%a, %d %b %Y) --"
eat_newline_glitch = off
highlight = "sjl,slosh,slj,clojerks,horrifying"
-highlight_regex = "(^all[,:]|backend(ia)?[^s/]|red[- ]tape|steve ?losh|rob ford|(jesus )?fucking christ|bring me my [A-Za-z0-9_]+ (pant|breeche|kilt|skirt|short|jort|plort)s?|(horse|mouse|clown)fuckers?|([[:<:]]((mother)?fuck([ie]ng?|er)?|(god?)?damn(ed)?|dammit|(bull|horse)?shite?)[[:>:]].*){3,})"
+highlight_regex = "(^all[,:]|backend(ia)?[^s/]|red[- ]tape|steve ?losh|rob ford|(jesus )?fucking christ|bring me my [A-Za-z0-9_]+ (pant|breeche|kilt|skirt|short|jort|plort)s?|(horse|mouse|clown)fuckers?|([[:<:]]((mother)?fuck([ie]ng?|er)?|(god?)?damn(ed)?|dammit|(bull|horse)?shite?)[[:>:]].*){3,}|actual footage)"
highlight_tags = ""
hotlist_add_buffer_if_away = on
hotlist_buffer_separator = ", "